%define beta 1
Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:    	kdepim-runtime
Summary: 	PIM (Personal Information Manager) runtime 
Version:	4.5
Release:	4

License: 	GPLv2
Group:          Graphical Desktop/KDE4
URL:	 	http://www.kde.org/
Source0: 	ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/kdepim-runtime-%{version}%{?beta:-beta%{beta}}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      i686
Requires(post): xdg-utils
Requires(postun): xdg-utils

BuildRequires: libX11-devel
BuildRequires: automoc4
BuildRequires: phonon-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: shared-desktop-ontologies
BuildRequires: boost-devel

#Automatically resolved build dependencies
BuildRequires: akonadi-devel
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: kdepimlibs-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libxml2-devel
BuildRequires: qt4-devel
BuildRequires: soprano-devel
BuildRequires: strigi-devel

%description
PIM (Personal Information Manager) runtime libraries

%package devel
Summary: 	Development files for %{name} 
Group: 		Development/Libraries
Requires: 	kdelibs-devel

%description devel
%{summary}.
Install %{name}-devel if you want to write or compile %{name} plugins.

%prep
%setup -qn %{name}-%{version}%{?beta:-beta%{beta}}

%build
LDFLAGS="$LDFLAGS -L/usr/lib/kde4/devel/"

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1



%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

# make symlinks relative
mkdir -p %{buildroot}%{_docdir}/HTML/en/common
pushd %{buildroot}%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -nfs ../common $i
   fi
done
popd

# Fix double file
rm -f %{buildroot}/usr/share/icons/oxygen/32x32/actions/appointment-new.png

%post
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_kde4_bindir}/akonadi2xml
%{_kde4_bindir}/akonadi_birthdays_resource
%{_kde4_bindir}/akonadi_ical_resource
%{_kde4_bindir}/akonadi_imap_resource
%{_kde4_bindir}/akonadi_kabc_resource
%{_kde4_bindir}/akonadi_kcal_resource
%{_kde4_bindir}/akonadi_knut_resource
%{_kde4_bindir}/akonadi_kolabproxy_resource
%{_kde4_bindir}/akonadi_localbookmarks_resource
%{_kde4_bindir}/akonadi_maildir_resource
%{_kde4_bindir}/akonadi_microblog_resource
%{_kde4_bindir}/akonadi_contacts_resource
%{_kde4_bindir}/akonadi_maildispatcher_agent
%{_kde4_bindir}/akonadi_mailtransport_dummy_resource
%{_kde4_bindir}/akonadi_mbox_resource
%{_kde4_bindir}/akonadi_nepomuk_calendar_feeder
%{_kde4_bindir}/akonadi_nepomuk_contact_feeder
%{_kde4_bindir}/akonadi_notes_resource
%{_kde4_bindir}/akonadi_pop3_resource
%{_kde4_bindir}/kaddressbookmigrator
%{_kde4_bindir}/kmail-migrator
%{_kde4_bindir}/akonadi_nepomuktag_resource
%{_kde4_bindir}/akonadi_nntp_resource
%{_kde4_bindir}/akonadi_vcard_resource
%{_kde4_bindir}/akonadi_vcarddir_resource
%{_kde4_bindir}/akonaditray
%{_kde4_bindir}/kres-migrator
%{_kde4_libdir}/kde4/akonadi_serializer_addressee.so
%{_kde4_libdir}/kde4/akonadi_serializer_bookmark.so
%{_kde4_libdir}/kde4/akonadi_serializer_contactgroup.so
%{_kde4_libdir}/kde4/akonadi_serializer_kcal.so
%{_kde4_libdir}/kde4/akonadi_serializer_mail.so
%{_kde4_libdir}/kde4/akonadi_serializer_microblog.so
%{_kde4_libdir}/kde4/kabc_akonadi.so
%{_kde4_libdir}/kde4/kcal_akonadi.so
%{_kde4_libdir}/kde4/kcm_akonadi.so
%{_kde4_libdir}/kde4/kcm_akonadi_resources.so
%{_kde4_libdir}/kde4/kcm_akonadi_server.so
%{_kde4_libdir}/kde4/kio_akonadi.so
%{_kde4_libdir}/libakonadi-xml.so.*
%{_kde4_libdir}/libkdepim-copy.so.*
%{_kde4_libdir}/libmaildir.so.*
%{_kde4_libdir}/libmbox.so.*
%{_kde4_datadir}/akonadi/agents/birthdaysresource.desktop
%{_kde4_datadir}/akonadi/agents/icalresource.desktop
%{_kde4_datadir}/akonadi/agents/imapresource.desktop
%{_kde4_datadir}/akonadi/agents/kabcresource.desktop
%{_kde4_datadir}/akonadi/agents/kcalresource.desktop
%{_kde4_datadir}/akonadi/agents/knutresource.desktop
%{_kde4_datadir}/akonadi/agents/kolabproxyresource.desktop
%{_kde4_datadir}/akonadi/agents/localbookmarksresource.desktop
%{_kde4_datadir}/akonadi/agents/maildirresource.desktop
%{_kde4_datadir}/akonadi/agents/microblog.desktop
%{_kde4_datadir}/akonadi/agents/nepomuktagresource.desktop
%{_kde4_datadir}/akonadi/agents/nntpresource.desktop
%{_kde4_datadir}/akonadi/agents/notesresource.desktop
%{_kde4_datadir}/akonadi/agents/vcarddirresource.desktop
%{_kde4_datadir}/akonadi/agents/vcardresource.desktop
%{_kde4_datadir}/applications/kde4/akonaditray.desktop
%{_kde4_datadir}/config/kres-migratorrc
%{_kde4_datadir}/dbus-1/interfaces/org.kde.Akonadi.Maildir.Settings.xml
%{_kde4_datadir}/icons/hicolor/64x64/apps/kolab.png
%{_kde4_datadir}/kde4/apps/akonadi/akonadi-xml.xsd
%{_kde4_datadir}/kde4/apps/akonadi/firstrun/defaultaddressbook
%{_kde4_datadir}/kde4/apps/akonadi/firstrun/defaultcalendar
%{_kde4_datadir}/kde4/apps/akonadi/plugins/serializer/akonadi_serializer_addressee.desktop
%{_kde4_datadir}/kde4/apps/akonadi/plugins/serializer/akonadi_serializer_bookmark.desktop
%{_kde4_datadir}/kde4/apps/akonadi/plugins/serializer/akonadi_serializer_contactgroup.desktop
%{_kde4_datadir}/kde4/apps/akonadi/plugins/serializer/akonadi_serializer_kcal.desktop
%{_kde4_datadir}/kde4/apps/akonadi/plugins/serializer/akonadi_serializer_mail.desktop
%{_kde4_datadir}/kde4/apps/akonadi/plugins/serializer/akonadi_serializer_microblog.desktop
%{_kde4_datadir}/kde4/apps/akonadi_knut_resource/knut-template.xml
%{_kde4_datadir}/kde4/services/akonadi.protocol
%{_kde4_datadir}/kde4/services/kcm_akonadi.desktop
%{_kde4_datadir}/kde4/services/kcm_akonadi_resources.desktop
%{_kde4_datadir}/kde4/services/kcm_akonadi_server.desktop
%{_kde4_datadir}/kde4/services/kresources/kabc/akonadi.desktop
%{_kde4_datadir}/kde4/services/kresources/kcal/akonadi.desktop
%{_kde4_datadir}/mime/packages/kdepim-mime.xml
%{_kde4_datadir}/akonadi/agents/contactsresource.desktop
%{_kde4_datadir}/akonadi/agents/maildispatcheragent.desktop
%{_kde4_datadir}/akonadi/agents/mboxresource.desktop
%{_kde4_datadir}/akonadi/agents/mtdummyresource.desktop
%{_kde4_datadir}/akonadi/agents/nepomukcalendarfeeder.desktop
%{_kde4_datadir}/akonadi/agents/nepomukcontactfeeder.desktop
%{_kde4_datadir}/akonadi/agents/pop3resource.desktop
%{_kde4_datadir}/autostart/kaddressbookmigrator.desktop
%{_kde4_datadir}/config/kmail-migratorrc

%{_bindir}/accountwizard
%{_bindir}/akonadi_akonotes_resource
%{_bindir}/akonadi_calendarsearch_agent
%{_bindir}/akonadi_davgroupware_resource
%{_bindir}/akonadi_invitations_agent
%{_bindir}/akonadi_kdeaccounts_resource
%{_bindir}/akonadi_mixedmaildir_resource
%{_bindir}/akonadi_openxchange_resource
%{_bindir}/kjotsmigrator
%{_libdir}/libakonadi-filestore.so.*
%{_libdir}/libakonadi-filestore.so.4.5.0
%{_libdir}/libkmindexreader.so.*
%{_libdir}/libkmindexreader.so.4.5.0
%{_datadir}/akonadi/agents/akonotesresource.desktop
%{_datadir}/akonadi/agents/calendarsearchagent.desktop
%{_datadir}/akonadi/agents/davgroupwareresource.desktop
%{_datadir}/akonadi/agents/invitationsagent.desktop
%{_datadir}/akonadi/agents/kdeaccountsresource.desktop
%{_datadir}/akonadi/agents/mixedmaildirresource.desktop
%{_datadir}/akonadi/agents/openxchangeresource.desktop
%{_datadir}/applications/kde4/accountwizard.desktop
%{_datadir}/config/accountwizard.knsrc
%{_datadir}/dbus-1/interfaces/org.kde.Akonadi.MixedMaildir.Settings.xml
%{_datadir}/icons/hicolor/128x128/apps/ox.png
%{_datadir}/icons/hicolor/16x16/apps/ox.png
%{_datadir}/icons/hicolor/32x32/apps/ox.png
%{_datadir}/icons/hicolor/48x48/apps/ox.png
%{_datadir}/icons/hicolor/64x64/apps/ox.png
%{_datadir}/kde4/apps/akonadi/accountwizard/imap/imapwizard.desktop
%{_datadir}/kde4/apps/akonadi/accountwizard/imap/imapwizard.js
%{_datadir}/kde4/apps/akonadi/accountwizard/imap/imapwizard.ui
%{_datadir}/kde4/apps/akonadi/accountwizard/kolab/kolabwizard.desktop
%{_datadir}/kde4/apps/akonadi/accountwizard/kolab/kolabwizard.js
%{_datadir}/kde4/apps/akonadi/accountwizard/kolab/kolabwizard.ui
%{_datadir}/kde4/apps/akonadi/accountwizard/mailbox/mailboxwizard.desktop
%{_datadir}/kde4/apps/akonadi/accountwizard/mailbox/mailboxwizard.js
%{_datadir}/kde4/apps/akonadi/accountwizard/mailbox/mailboxwizard.ui
%{_datadir}/kde4/apps/akonadi/accountwizard/maildir/maildirwizard.desktop
%{_datadir}/kde4/apps/akonadi/accountwizard/maildir/maildirwizard.js
%{_datadir}/kde4/apps/akonadi/accountwizard/maildir/maildirwizard.ui
%{_datadir}/kde4/apps/akonadi/accountwizard/pop3/pop3wizard.desktop
%{_datadir}/kde4/apps/akonadi/accountwizard/pop3/pop3wizard.js
%{_datadir}/kde4/apps/akonadi/accountwizard/pop3/pop3wizard.ui
%{_datadir}/mime/packages/accountwizard-mime.xml


%files devel
%defattr(-,root,root,-)
%{_kde4_libdir}/libakonadi-xml.so
%{_kde4_libdir}/libmbox.so
%{_kde4_libdir}/libkdepim-copy.so
%{_kde4_libdir}/libmaildir.so
%{_kde4_libdir}/libakonadi-filestore.so
%{_kde4_libdir}/libkmindexreader.so



%changelog
* Fri Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5-4
- rebuilt
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5-3
- rebuilt
* Wed Sep 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5-2
- rebuilt
* Tue Aug 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5-1
- Version Update - beta1
* Wed Jun 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.4-1
- Version Update
* Thu May 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.3-1
- Version Update
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.2-1
- Version Update
* Thu Mar 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.1-1
- Version Update
* Wed Feb 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.0-1
- Version Update
* Wed Dec 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.4-1
- Version Update
* Wed Nov 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.3-1
- Version Update
* Wed Oct 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.2-1
- Version Update
* Wed Oct 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.2-1
- Version Update
* Thu Sep 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.1-1
- Version Update
* Sat Aug 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.0-1
- Initial CCux package release
